CUDA 5.5(and 5.0) install error with GTX 645

I’m trying to install CUDA 5.5(and 5.0) but
error occurs with “This graphic driver could not find compatible graphics hardware.”
I installed graphic driver for GTX 645.

Why this error happens in GTX 645 ?

Instead of installing drivers contained inside the CUDA Toolkit, please install the latest drivers from the display driver download page http://www.nvidia.com/Download/index.aspx for your graphics board and OS. These drivers are normally newer than the ones provided with the CUDA toolkit (unless the toolkit is brandnew).
Then make sure you install the CUDA toolkit with the matching bitness afterwards, but skip the display driver installation at that point.